import { CompanyUpdateComponent } from './company-management/company-update/company-update.component';
import { CompanyCreateComponent } from './company-management/company-create/company-create.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CompanyManagementComponent } from './company-management/company-management.component';

const routes: Routes = [
  { path: 'companies-management', component: CompanyManagementComponent },
  { path: 'company-create', component: CompanyCreateComponent },
  { path:'company-update/:companyID', component: CompanyUpdateComponent}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CompanyManagerRoutingModule {}
