import { GetAllAddressesAction } from '../../../../ngrx/user-s-address/address.action';
import { AddressState } from '../../../../ngrx/user-s-address/address.state';
import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Router } from '@angular/router';

@Component({
  selector: 'app-address-navbar',
  templateUrl: './address-navbar.component.html',
  styleUrls: ['./address-navbar.component.css']
})
export class AddressNavbarComponent implements OnInit {

  constructor(private store: Store<{addressReducerSelector: AddressState}>, private router: Router) { }

  ngOnInit(): void {
  }

  onAddressCreate(){
    this.router.navigate(["/address-create"])
  }
  onAddressGetAll(){
    this.store.dispatch(new GetAllAddressesAction({}));
  }
}
