# Partie fronted: application Angular

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 13.3.4.

## Introduction
Dans cette partie fronted, nous avons utilisé le pattern **NgRx** d'Angular. Ce pattren, on met en place le store, le reducer et les effects pour la gestion de différents états de l'aplication.

## Les dépendances
La documentation sur le lien [pattern NgRx](https://ngrx.io/docs) présente en détail la mise en place des modules nécessaires et leur rôle pour le pattern **NgRx** d'Angular.

Pour exécuter cette application frontend, quelques dépendances installer.

### 1. Pour la gestion des états de l'application
* **Store**: `npm install @ngrx/store --save`
* **Store-devtools**: `npm install @ngrx/store-devtools --save`
* **Effects**: `npm install @ngrx/effects --save`

### 2. Pour la gestion des styles
Angular utilise son propre framework **Primeng** pour la gestion des styles des pages web

installation:
* `npm install primeng --save`
* `npm install primeicons --save`

Pour en savoir plus, voir la documentation de [Primeng](https://www.primefaces.org/primeng/setup)

